terminatorx (4.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11
  * Drop obsolete Build-Depends on scrollkeeper (Closes: #885609)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Oct 2018 22:28:28 -0400

terminatorx (4.0.1-1) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * New upstream release.
    - Fixes FTBFS with GCC 6. (Closes: #811993)

  * debian/control:
    - Build-depend on libgtk3-dev and libpulse-dev.
    - Use secure Vcs URLs.
    - Update Homepage URL.
    - Bump standards to 3.9.8.
  * debian/dirs:
    - Remove useless file (directories already created by other commands).
  * debian/menu:
    - Drop menu file and xpm icon per tech-ctte menus decision.
  * debian/patches:
    - Refresh patches.
    - Drop 22_manual.patch - not needed.
    - Drop 26-spelling_mistakes.patch - applied upstream.
    - Remove Encoding key from desktop file.
    - Revert change of the Comment field in the desktop file.
    - Port documentation build system to yelp-tools. (Closes: #830028)
    - Clean generated icon resource .c files.
    - Mark all patches as forwarded.

  * debian/rules:
    - Remove obsolete debug and strip handling.
    - Remove DTD update lines from debian/rules.
    - Remove dh_auto_clean override (now handled by a patch).
    - Remove unused drectories removal code - cleans up nothing.

  [ Guillem Jover ]
  * Assume dpkg-statoverride exists in d/postinst. (Closes: #770051)

 -- James Cowgill <jcowgill@debian.org>  Thu, 04 Aug 2016 10:19:56 +0000

terminatorx (3.90-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/27-kfreebsd.patch: Fix build failure on kfreebsd. (Closes:
    #741623)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 25 Apr 2014 14:56:42 +0200

terminatorx (3.90-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch file.
  * Build-depend on gnome-doc-utils.
  * Fix dh_install target.
  * Remove manual copy of terminatorX-app.xpm, no longer needed.
  * Drop 05_endian_h.patch, no longer applicable.
  * Drop 16_loose_spelling_fix.patch, fixed upstream.
  * Refresh 17_cleanup_desktop_file.patch
  * Drop 20_fix_ftbfs_on_kfreebsd.patch, adopted upstream.
  * Drop 23_new_zlib.patch, adopted upstream.
  * Drop 24-missing_include.patch, applied upstream.
  * Refresh 25-libdl_underlinkage.patch.
  * Add patch to fix minor spelling mistakes.
  * Various small improvements and updates on debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Mar 2014 11:43:09 +0000

terminatorx (3.84-3) unstable; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * Fix debian/patches/23_new_zlib.patch's header, the author was Mònica
    Ramírez so credits go to her for the good work.

  [ Sebastian Ramacher ]
  * debian/patches/25-libdl_underlinkage.patch: Apply patch from Ubuntu to fix
    FTBFS. (Closes: #713560)
  * debian/control:
    - Bump debhelper to >= 9 for binary-{arch,indep} support and hardening.
    - Bump Standards-Version to 3.9.4.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Aug 2013 01:49:54 +0200

terminatorx (3.84-2) unstable; urgency=low

  * Add missing #include to prevent build failure on
    kfreebsd. (Closes: #667082)

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Apr 2012 08:50:42 +0200

terminatorx (3.84-1) unstable; urgency=low

  * New maintainer. (Closes: #660434)
  * ACK NMUs (Closes: #515716)
  * New upstream release (Closes: #612760):
    - introduced a workaround for terminatorX bug #29 (Closes: #637007)
    - moved to terminatorX.org
    - fixed misc gcc 4.0 warnings
    - removed fastabs() implementation - it failed with gcc > 4.0
    - fixed a compilation issue (Thanks, cyril!)
    - fixed main window menu bar layout issue
    - fixed broken mouse grab (LP: #469365), grab events are now
      handled by gui thread
    - work-around gtk+ auto mnemonics
    - fixed deprecated gtk+, jack and Xorg API
  * Switch to DH 7.
  * Add --parallel to dh sequencer.
  * Convert packaging to source format 3.0 (quilt):
    - Port patches from dpatch to quilt.
    - Drop dpatch support.
    - Incorporate direct changes to the manual in a quilt patch.
  * Fix FTBFS errors "cannot convert 'gzFile_s**' to 'gzFile' for
    argument '1'".
    Thanks to Moritz Muehlenhoff for the patch. (Closes: #663053)
  * Remove debian/patches/21_fix_ftbfs_binutils_gold.patch, applied upstream.
  * Refresh patches.
  * Replace list of negated architectures with linux-any in debian/control.
  * Fix maintainer-script-without-set-e and maintainer-script-ignores-errors
    warnings.
  * Remove scrollkeeper stuff, install the desktop file to
    /usr/share/applications/.
  * Run autoreconf before configuring the package.
  * Drop --enable-suidroot option, no longer needed.
  * Compile with --as-needed.
  * The buildsystem install the man page, so there's no need to call
    dh_installman.
  * Add watch file.
  * Update debian/copyright.
  * Update Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Apr 2012 02:12:47 +0200

terminatorx (3.82-7.5) unstable; urgency=low

  * Non-maintainer upload.
  * Trivial fixes pending in BTS:
    - Fix upstream .desktop file. Closes: #564025
    - Add Homepage to debian/control. Closes: #564024
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #605521
    - Polish (Michał Kułach).  Closes: #657507

 -- Christian Perrier <bubulle@debian.org>  Fri, 03 Feb 2012 07:09:11 +0100

terminatorx (3.82-7.4) unstable; urgency=low

  * Non-maintainer upload.
  * Append -ldl to LDADD to fix FTBFS with binutils-gold (Closes: #556491);
    thank to Mahyuddin Susanto <udienz@gmail.com> for the patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 May 2011 19:22:08 +0200

terminatorx (3.82-7.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD (Closes: #542531):
     - Add 20_fix_ftbfs_on_kfreebsd.dpatch
  * Replace libjack0.100.0-dev with libjack-dev in Build-Depends as
    requested by jack folks (Closes: #527441).
  * Fix config.{guess,sub} handling:
     - Make it deterministic by copying them unconditionally before
       running configure.
     - Remove them in the clean target to keep the Debian diff clean.
     - Add autotools-dev to Build-Depends accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Dec 2009 14:29:36 +0100

terminatorx (3.82-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change Build-Depends from libcap-dev to libcap2-dev. (Closes: #492679)
  * Add patch 16_loose_spelling_fix thanks to William Grant from Ubuntu which
    fixes a spelling mistake 'loose' rather that 'lose'. (Closes: #389412)
  * Add spanish debconf translation thanks to Francisco Javier Cuadrado.
    (Closes: #514602)

 -- Torsten Werner <twerner@debian.org>  Tue, 17 Feb 2009 06:47:47 +0100

terminatorx (3.82-7.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues and other
    trivial fixes.
  * Fix FTBFS on GNU/kFreeBSD. Thanks to Mike Furr for the patch.
    Closes: #377826
  * Debconf translations:
    - German. Closes: #411332
    - Portuguese. Closes: #416821
    - Dutch. Closes: #418405
    - Finnish. Closes: #469515
    - Russian. Closes: #469799
    - Brazilian Portuguese. Closes: #473242
  * [Lintian] Correct spelling of "GTK+" in package description
  * [Lintian] menu entry moved to Applications
  * [Lintian] add real copyright information to debian/copyright
  * [Lintian] convert debian/copyright to UTF-8
  * [Lintian] No longer ignore errors by "make distclean"

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Mar 2008 14:29:31 +0200

terminatorx (3.82-7) unstable; urgency=low

  * !@!$@# Note to future self, don't use aptitude to install
    build deps inside of pbuilder >:-(
  * Added build dep on libxt-dev
  * Dump config.log on configure failure

 -- Mike Furr <mfurr@debian.org>  Wed, 18 Jan 2006 10:14:23 -0500

terminatorx (3.82-6) unstable; urgency=low

  * Oops, need a few more X11 deps

 -- Mike Furr <mfurr@debian.org>  Wed, 18 Jan 2006 08:39:37 -0500

terminatorx (3.82-5) unstable; urgency=low

  * Changed obsolete xlibs-dev dep to xorg equivalents (Closes: 347080)
  * Added swedish translation thanks to Daniel Nylander (Closes: 331594)

 -- Mike Furr <mfurr@debian.org>  Tue, 17 Jan 2006 23:32:25 -0500

terminatorx (3.82-4) unstable; urgency=low

  * Rebuild for gxx transition
  * Added Vietnamese translation thanks to Clytie Siddall
    (Closes: 320327)

 -- Mike Furr <mfurr@debian.org>  Wed, 21 Sep 2005 00:02:44 -0400

terminatorx (3.82-3) unstable; urgency=low

  * Rebuild against libjack0.100.0
  * Added Italian debconf translation from Luca Bruno (Closes: 316260)

 -- Mike Furr <mfurr@debian.org>  Wed, 29 Jun 2005 15:58:44 -0400

terminatorx (3.82-2) unstable; urgency=low

  * Added Czech debconf translation from Miroslav Kure
    (Closes: 293001)

 -- Mike Furr <mfurr@debian.org>  Wed,  2 Feb 2005 14:08:14 -0500

terminatorx (3.82-1) unstable; urgency=low

  * New upstream release.

 -- Mike Furr <mfurr@debian.org>  Wed,  3 Nov 2004 20:29:13 -0500

terminatorx (3.81-10) unstable; urgency=low

  * Added japanese debconf translation (Closes: 270675)
    Thanks to Hideki Yamane

 -- Mike Furr <mfurr@debian.org>  Sun, 12 Sep 2004 20:32:05 -0400

terminatorx (3.81-9) unstable; urgency=low

  * dpatch-ification!
  * Added patch to build with gcc-3.4 (Closes: 259788)
    Thanks to Andreas Jochens
  * Changed menu pic to xpm format per menu policy.

 -- Mike Furr <mfurr@debian.org>  Wed, 11 Aug 2004 10:36:14 -0400

terminatorx (3.81-8) unstable; urgency=low

  * added --enable-suidroot flag to configure, to allow terminatorX
    to be run as root(for jackd performance). (Closes: 244154)
  * quoated the needs and section fields of the menu file
  * updated standands to 3.6.1

 -- Mike Furr <mfurr@debian.org>  Mon, 26 Apr 2004 21:20:09 -0400

terminatorx (3.81-7) unstable; urgency=low

  * Uh, helps to depend on libjack0.80.0-dev 8-)

 -- Mike Furr <mfurr@debian.org>  Sat, 17 Jan 2004 14:22:36 -0500

terminatorx (3.81-6) unstable; urgency=low

  * recompiled against libjack0.80.0-dev

 -- Mike Furr <mfurr@debian.org>  Fri, 16 Jan 2004 11:18:59 -0500

terminatorx (3.81-5) unstable; urgency=low

  * Added build-dep on libcap-dev so the binary will be built
    with capabilities support.  (Closes: 214716)

 -- Mike Furr <mfurr@debian.org>  Wed,  8 Oct 2003 14:27:53 -0400

terminatorx (3.81-4) unstable; urgency=low

  * Added a Suggests on ladspa-plugin (Closes: 208993)

 -- Mike Furr <mfurr@debian.org>  Tue,  7 Oct 2003 23:26:33 -0400

terminatorx (3.81-3) unstable; urgency=low

  * Big-endian compile fixes.

 -- Mike Furr <mfurr@debian.org>  Thu,  4 Sep 2003 22:59:11 -0400

terminatorx (3.81-2) unstable; urgency=low

  * Added depends on scrollkeeper. (Closes: 208615)

 -- Mike Furr <mfurr@debian.org>  Wed,  3 Sep 2003 22:04:37 -0400

terminatorx (3.81-1) unstable; urgency=low

  * New Upstream release (Closes: 195904)
    - This includes a change in suid behavior to use posix
    -  capabilities and thus drops root really early.
  * New build-deps on:
    - zlib, libasound2 (alsa support), scrollkeeper, librldr0
    - libjack-0.71.2-dev
  * Properly call scrollkeeper-update from post{inst,rm}
  * Switched to gettext format for templates (po-debconf)
    - Bumped debhelper dep to >= 4.1.16
    - Closes: 201516
  * Added French Translation of the templates.
    - Closes: 201804
    - Thanks to Michel Grentzinger for the both the above patches.

 -- Mike Furr <mfurr@debian.org>  Mon, 27 Aug 2003 23:36:25 -0400

terminatorx (3.73-5) unstable; urgency=high

  * Fixed environment handling for the 'HOME' variable to protect
    against buffer overflows(see 200658).  XLOCALEDIR problem is
    actually in xfree, not us(see 201750).
  * Changed default of suid debconf question to 'No'
    (what *was* I thinking?)

 -- Mike Furr <mfurr@debian.org>  Thu, 17 Jul 2003 10:59:24 -0400

terminatorx (3.73-4) unstable; urgency=low

  * Rebuilt against libvorbis0a (Closes: 185546)

 -- Mike Furr <mfurr@debian.org>  Sun, 30 Mar 2003 16:12:41 -0500

terminatorx (3.73-3) unstable; urgency=low

  * Okay, really fixed 178302 this time by overriding
    gnome detection but without the build-dep.
  * Pkg now uses upstream man page.

 -- Mike Furr <mfurr@debian.org>  Sat, 25 Jan 2003 18:09:09 -0500

terminatorx (3.73-2) unstable; urgency=low

  * Fixed icon name in menu entry
  * Small fix to compile under gcc-3.2
  * Fixed gnome files being put in wrong directory
    (Should close bug 178302, will check autobuilders)

 -- Mike Furr <mfurr@debian.org>  Sat, 25 Jan 2003 12:33:26 -0400

terminatorx (3.73-1) unstable; urgency=low

  * New upstream release
  * Added debconf question setuid

 -- Mike Furr <mfurr@debian.org>  Sun, 29 Sep 2002 16:34:57 -0400

terminatorx (3.72-2) unstable; urgency=low

  * Fixed big endian compile problems

 -- Mike Furr <mfurr@debian.org>  Sat,  7 Sep 2002 15:43:12 -0400

terminatorx (3.72-1) unstable; urgency=low

  * Initial Release (closes: 156924)

 -- Mike Furr <mfurr@debian.org>  Sat, 24 Aug 2002 13:28:50 -0400
